/**
 * 补料明细表格列
 */
import vm from '@/main';
export const headers = [
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode',//物料号
    width: 220,
  },
  {
    label: vm.$t('message.po_MaterielDes'),
    key: 'materialDesc',//物料描述
    width: 350,
  },
  {
    label: vm.$t('message.po_ActualQuantity'),
    key: 'fillAmount',//实际数量
  },
  {
    label: vm.$t('message.Summary_Number'),
    key: 'amount',//可退数量
  },
  {
    label: vm.$t('message.Feeding_ReplenishedQuantity'),
    key: 'totalFillAmount',//已拣数量
  },
  {
    label: vm.$t('message.po_Location'),
    key: 'locationCode',//库存地点
  },
  // {
  //   label: '工位',
  //   key: 'sendSpot',
  // },
  // {
  //   label: '行项目',
  //   key: 'groupId',
  // },
  // {
  //   label: '单位',
  //   key: 'unit',
  // },
  // {
  //   label: '凭证号',
  //   key: 'credNo',
  // },
  // {
  //   label: '发货地点',
  //   key: 'wkposCodeP',
  // },
  // {
  //   label: '工厂',
  //   key: 'sapFactoryCode',
  // },
  // {
  //   label: 'MRP',
  //   key: 'mrpCode',
  // },
  // {
  //   label: '生产订单',
  //   key: 'prdOrder',
  // },
];
export const detailHeader = [
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode',
    width: 177,
  },
  {
    label: vm.$t('message.receiveAStation'),
    key: 'sendSpot',
  },
  {
    label: vm.$t('message.CommissionedLocation'),
    key: 'wlCode',
  },
  {
    label: vm.$t('message.dn_Number'),
    key: 'qty',
  },
];
